%define name perl-Crypt-Rijndael
%define real_name perl-Crypt-Rijndael
%define version 0.05

Name: %{name}
Version: %{version}
Summary: Crypt::Rijndael module for perl
Release: 1
License: GPL
Group: 	System Environment/Libraries
Source0: Crypt-Rijndael-%{version}.tar.gz
Url: http://www.cpan.org
BuildArch: i386
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.6.0

%description
Crypt::Rijndael module for perl. Needed by Crypt::CBC.
This module implements the Rijndael cipher, which has just been selected as the Advanced Encryption Standard.
%prep
%setup -q -n Crypt-Rijndael-%{version}
#%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
#rm -rf $RPM_BUILD_ROOT/usr/src

%files
%defattr(-,root,root)
%doc README MANIFEST COPYING NEWS
%{_libdir}/perl5/vendor_perl/
%{_mandir}/*/*

%changelog
* Thu Jul 08 2004 Ralf Spenneberg <ralf@spenneberg.de>
- First release
